# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.0.1
%define module_name Functional-Types
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.1
Release: alt1
Summary: a Haskell-inspired type system for Perl
Group: Development/Perl
License: perl
URL: https://github.com/wimvanderbauwhede/Perl-Functional-Types

Source0: http://cpan.org.ua/authors/id/A/AN/ANDARA/%{module_name}-v%{module_version}.tar.gz
BuildArch: noarch

%description
Functional::Types provides a runtime type system for Perl, the main purpose is to allow type checking and have self-documenting data structures. It is strongly influenced by Haskell's type system. More details are below, but at the moment they are not up-to-date. The /t folder contains examples of the use of each type.


%prep
%setup -n %{module_name}-v%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/F*

%changelog
* Wed Apr 01 2015 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1
- initial import by package builder

